Skip to main content
GET
/
api
/
intelligence
/
v1
/
list-oref-alerts
ListOrefAlerts
curl --request GET \
  --url https://api.example.com/api/intelligence/v1/list-oref-alerts
{
  "configured": true,
  "alerts": [
    {
      "id": "<string>",
      "cat": "<string>",
      "title": "<string>",
      "data": [
        "<string>"
      ],
      "desc": "<string>",
      "timestampMs": 123
    }
  ],
  "history": [
    {
      "alerts": [
        {
          "id": "<string>",
          "cat": "<string>",
          "title": "<string>",
          "data": [
            "<string>"
          ],
          "desc": "<string>",
          "timestampMs": 123
        }
      ],
      "timestampMs": 123
    }
  ],
  "historyCount24h": 123,
  "totalHistoryCount": 123,
  "timestampMs": 123,
  "error": "<string>"
}

Query Parameters

mode
string

Mode selection. MODE_UNSPECIFIED defaults to active alerts.

Response

Successful response

OREF alert wave snapshot.

configured
boolean

Whether the OREF bridge is configured.

alerts
object[]
history
object[]
historyCount24h
integer<int32>

Number of alerts in the last 24 hours.

totalHistoryCount
integer<int32>

Total alerts in the historical buffer.

timestampMs
integer<int64>

Unix timestamp in milliseconds of the response generation.. Warning: Values > 2^53 may lose precision in JavaScript

error
string

Optional error message from the relay.